﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication280.ViewModel
{
  public  class Person:INotifyPropertyChanged
    {
      public string FirstName { get; set; }
      public int Age { get; set; }
      public string Status {get;set;}
      TimeSpan lastupdate = new TimeSpan();
      public TimeSpan LastUpdate {
          get { return lastupdate; }
          set
          {
              lastupdate = value;
              NotifyPropertyChanged("LastUpdate");
          }
      }
      private void NotifyPropertyChanged(String propertyName)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
          }
      }


      public event PropertyChangedEventHandler PropertyChanged;
    }
}
